Record Follow
Record following allows users to subscribe to updates on specific records. The following endpoints allow managing record follow state via the API.
Unfollow all records in an app
PUThttps://api.tapeapp.com/v1/record/app/unfollow-all/{app_id}
Unfollow all users from all records inside the app with the specified app_id. This is a blocking operation that processes all follow edges in batches and returns once complete. Requires full access permission on the app.
- cURL
- JSON
➡️ Request
curl -X PUT https://api.tapeapp.com/v1/record/app/unfollow-all/1 \
-u user_key_replace_with_your_api_key: \
-H "Content-Type: application/json" \
--data '{}'
➡️ Request
{}
⬅️ Response
{
"total_unfollowed_count": 6
}
Response Properties
| Property | Type | Description |
|---|---|---|
total_unfollowed_count | integer | Total number of follow edges that were removed. |
If no users are following any records in the app, the response will contain 0 for total_unfollowed_count.